By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
440,353 Members | 1,529 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 440,353 IT Pros & Developers. It's quick & easy.

'gd' PHP extension is not installed

P: n/a
I'm trying to install the Image_Color pear package. I keep getting the
following error:

"'gd' PHP extension is not installed"

phpinfo on my web server indicates that gd is enabled. when I try to
get info from my command line interface I don't see anything where it
was compiled with gd.

Am I right in assuming there are two ini files? One for the command
line and one for the web server?

A google search has revealed that others have run into this problem but
I have yet to find a solution.

Can anyone shed any light?

general info from the command line...
<pre>
Build Date =Apr 24 2006 19:54:25
Configure Command =>
'/SourceCache/apache_mod_php/apache_mod_php-18.4/php/configure'
'--prefix=/usr' '--mandir=/usr/share/man' '--infodir=/usr/share/info'
'--disable-dependency-tracking' '--with-apxs' '--with-ldap=/usr'
'--with-kerberos=/usr' '--enable-cli' '--with-zlib-dir=/usr'
'--enable-trans-sid' '--with-xml' '--enable-exif' '--enable-ftp'
'--enable-mbstring' '--enable-mbregex' '--enable-dbx'
'--enable-sockets' '--with-iodbc=/usr' '--with-curl=/usr'
'--with-config-file-path=/etc' '--sysconfdir=/private/etc'
'--with-mysql=/usr' '--with-mysql-sock=/var/mysql/mysql.sock'
Server API =Command Line Interface
Virtual Directory Support =disabled
Configuration File (php.ini) Path =/private/etc/php.ini
PHP API =20020918
PHP Extension =20020429
Zend Extension =20050606
Debug Build =no
Zend Memory Manager =enabled
Thread Safety =disabled
Registered PHP Streams =php, http, ftp, compress.zlib
</pre>

info from my web server...
<pre>

System Darwin rbauer-gd66521.govconnect.com 8.8.0 Darwin Kernel
Version 8.8.0: Fri Sep 8 17:18:57 PDT 2006;
root:xnu-792.12.6.obj~1/RELEASE_PPC Power Macintosh
Build Date Apr 17 2005 16:13:53
Configure Command './configure' '--prefix=/usr/local/php'
'--with-config-file-path=/usr/local/php/lib' '--with-apxs'
'--with-iconv=/usr/local/php' '--with-openssl=/usr' '--with-zlib=/usr'
'--with-mysql'
'--with-pgsql=/Users/marc/svn/php4-maintenance/php-module/build/postgresql-build'
'--enable-cgi' '--with-gd' '--with-png-dir=/usr/local/php'
'--with-freetype-dir=/usr/local/php' '--with-t1lib=/usr/local/php'
'--with-jpeg-dir=/usr/local/php' '--with-tiff-dir=/usr/local/php'
'--with-curl=/usr/local/php' '--with-mcal=/usr/local/php'
'--with-mcrypt=/usr/local/php' '--with-mhash=/usr/local/php'
'--with-pdflib=/usr/local/php' '--with-imap=../imap-2002d'
'--with-imap-ssl=/usr' '--with-expat-dir=/usr/local/php'
'--with-gettext=/usr/local/php' '--with-dom=/usr/local/php'
'--with-dom-xslt=/usr/local/php' '--with-dom-exslt=/usr/local/php'
'--with-xslt-sablot=/usr/local/php'
'--with-mime-magic=/usr/local/php/etc/magic.mime'
'--with-mssql=/usr/local/php'
'--with-fbsql=/Users/marc/svn/php4-maintenance/php-module/build/frontbase-build/Library/FrontBase'
'--with-ming=/Users/marc/svn/php4-maintenance/php-module/build/ming-build'
'--enable-xslt' '--with-ldap' '--with-xml' '--with-xmlrpc'
'--with-iodbc=/usr' '--enable-sockets' '--enable-dbx' '--enable-dbase'
'--enable-trans-sid' '--enable-exif' '--enable-wddx' '--enable-ftp'
'--enable-mbstring'
Server API Apache
Virtual Directory Support disabled
Configuration File (php.ini) Path /usr/local/php/lib/php.ini
PHP API 20020918
PHP Extension 20020429
Zend Extension 20021010
Debug Build no
Thread Safety disabled
Registered PHP Streams php, http, ftp, https, ftps, compress.zlib
</pre>

Thanks.

Oct 17 '06 #1
Share this Question
Share on Google+
1 Reply


P: n/a

browntown wrote:
I'm trying to install the Image_Color pear package. I keep getting the
following error:

"'gd' PHP extension is not installed"

phpinfo on my web server indicates that gd is enabled. when I try to
get info from my command line interface I don't see anything where it
was compiled with gd.

Am I right in assuming there are two ini files? One for the command
line and one for the web server?

A google search has revealed that others have run into this problem but
I have yet to find a solution.

Can anyone shed any light?

general info from the command line...
<pre>
Build Date =Apr 24 2006 19:54:25
Configure Command =>
'/SourceCache/apache_mod_php/apache_mod_php-18.4/php/configure'
'--prefix=/usr' '--mandir=/usr/share/man' '--infodir=/usr/share/info'
'--disable-dependency-tracking' '--with-apxs' '--with-ldap=/usr'
'--with-kerberos=/usr' '--enable-cli' '--with-zlib-dir=/usr'
'--enable-trans-sid' '--with-xml' '--enable-exif' '--enable-ftp'
'--enable-mbstring' '--enable-mbregex' '--enable-dbx'
'--enable-sockets' '--with-iodbc=/usr' '--with-curl=/usr'
'--with-config-file-path=/etc' '--sysconfdir=/private/etc'
'--with-mysql=/usr' '--with-mysql-sock=/var/mysql/mysql.sock'
Server API =Command Line Interface
Virtual Directory Support =disabled
Configuration File (php.ini) Path =/private/etc/php.ini
PHP API =20020918
PHP Extension =20020429
Zend Extension =20050606
Debug Build =no
Zend Memory Manager =enabled
Thread Safety =disabled
Registered PHP Streams =php, http, ftp, compress.zlib
</pre>

info from my web server...
<pre>

System Darwin rbauer-gd66521.govconnect.com 8.8.0 Darwin Kernel
Version 8.8.0: Fri Sep 8 17:18:57 PDT 2006;
root:xnu-792.12.6.obj~1/RELEASE_PPC Power Macintosh
Build Date Apr 17 2005 16:13:53
Configure Command './configure' '--prefix=/usr/local/php'
'--with-config-file-path=/usr/local/php/lib' '--with-apxs'
'--with-iconv=/usr/local/php' '--with-openssl=/usr' '--with-zlib=/usr'
'--with-mysql'
'--with-pgsql=/Users/marc/svn/php4-maintenance/php-module/build/postgresql-build'
'--enable-cgi' '--with-gd' '--with-png-dir=/usr/local/php'
'--with-freetype-dir=/usr/local/php' '--with-t1lib=/usr/local/php'
'--with-jpeg-dir=/usr/local/php' '--with-tiff-dir=/usr/local/php'
'--with-curl=/usr/local/php' '--with-mcal=/usr/local/php'
'--with-mcrypt=/usr/local/php' '--with-mhash=/usr/local/php'
'--with-pdflib=/usr/local/php' '--with-imap=../imap-2002d'
'--with-imap-ssl=/usr' '--with-expat-dir=/usr/local/php'
'--with-gettext=/usr/local/php' '--with-dom=/usr/local/php'
'--with-dom-xslt=/usr/local/php' '--with-dom-exslt=/usr/local/php'
'--with-xslt-sablot=/usr/local/php'
'--with-mime-magic=/usr/local/php/etc/magic.mime'
'--with-mssql=/usr/local/php'
'--with-fbsql=/Users/marc/svn/php4-maintenance/php-module/build/frontbase-build/Library/FrontBase'
'--with-ming=/Users/marc/svn/php4-maintenance/php-module/build/ming-build'
'--enable-xslt' '--with-ldap' '--with-xml' '--with-xmlrpc'
'--with-iodbc=/usr' '--enable-sockets' '--enable-dbx' '--enable-dbase'
'--enable-trans-sid' '--enable-exif' '--enable-wddx' '--enable-ftp'
'--enable-mbstring'
Server API Apache
Virtual Directory Support disabled
Configuration File (php.ini) Path /usr/local/php/lib/php.ini
PHP API 20020918
PHP Extension 20020429
Zend Extension 20021010
Debug Build no
Thread Safety disabled
Registered PHP Streams php, http, ftp, https, ftps, compress.zlib
</pre>

Thanks.
is it php 4 or 5? there is no official gd package for php5, that could
be the reason there are other unofficial gd extensions for php5 i
believe, try and download one and compile it, if your using php4 just
use your distros package manager to download and install it again, ie.
apt-get install gd-2

Flamer.

Oct 17 '06 #2

This discussion thread is closed

Replies have been disabled for this discussion.